## piuparts 0.78

=== debian/changelog ===
piuparts (0.78) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Refactor internal handling of reference chroot state.
    - Do not run custom scripts before/after installing fake essential
      packages.
    - Only warn on broken symlinks found between installing the dependencies
      of the package to be tested and installing the package itself.
    - Keep track of md5sums of the list of available packages in the chroot
      to recognize mirror pushes during distupgrade tests and outdated
      --end-meta meta-data.
    - Mount a new devpts instance on /dev/pts and /dev/ptmx inside the chroot
      for better pty separation from the host. Mount the current tty onto
      /dev/console in the chroot. Inspired by pbuilder.
    - Arguments to the --ignore/--ignore-regexp options (and internal
      ignored_files/ignored_patterns settings) that are prefixed with a ':'
      will verbosely log the ignored files if matched.
    - New option --upgrade-before-dist-upgrade for 2-stage upgrades:
      'apt-get upgrade && apt-get dist-upgrade'.
    - Do not ignore errors while removing packages.
    - Run panic handlers before aborting due to an unhandled exception.
  * piuparts.conf:
    - Use more aliases for mapping between releases and codenames to reduce
      the amount of changes needed on "moving targets" (like stable22sid)
      after a stable Debian release.
    - Set keyring for archived distros to debian-archive-removed-keys.gpg.
    - Add new suites: jessie2Xstretch, jessie2Xstretch-rcmd, doing two-stage
      upgrades (apt-get update && apt-get dist-upgrade) from jessie to stretch
      (without and with --install-recommends).
    - Enable stretch2proposed.  (Closes: #864933)
    - Use --warn-on-debsums-errors for tests ending in stretch.
    - Rotate aliases for testing=buster and stable=stretch.
    - Add new suites: buster, buster-rcmd, stretch2buster, stretch2buster-rcmd
    - Add new suites: stretch2bpo, stretch2bpo2buster for testing
      stretch-backports.
    - New (per-section) conffile setting: 'exclude-known-problems' can be set
      to a list of known problem iconffile names that should *not* be used for
      this section.
  * piuparts.conf.anbe: Add some more example sections.
  * distros.conf: Add support for buster-debug, buster-proposed-updates.
  * piupartslib/packagesdb.py:
    - Add new state "outdated" to ignore packages if a dependency distro
      already has a newer version.  (Closes: #856846)
    - Resolve packages in "outdated" state after dependency databases are
      initialized.
  * piuparts-slave.py:
    - Run piuparts on dummy package "TARBALL" (but skip tests) to create
      tarballs.
    - Add "chroot-meta-auto" config option to automatically maintain cached
      target chroot meta data (using --end-meta and --save-end-meta) for
      distupgrade tests instead of generating it on-the-fly.
    - Flush pending logfiles upon startup.
  * piuparts-analyze.py:
    - Process newest logfiles first, in case of timeouts.
    - Drop report_packages_with_many_logs(), obsoleted by archiving old logs.
    - Remove support for magic "$DISTRO/None" versions.
  * piuparts-report.py:
    - Plot all states in the graphs.
    - Support new states in plots (varying number of columns in counts.txt).
    - Reorder stacking in the bts_stats plot.
    - Defer rewriting unmodified maintainer and source summaries, refresh them
      once per month.
  * custom-scripts: Check for dummy package "TARBALL" to detect tarball
    creation phase.
  * scripts/is_testable_uninstallable:
    - Add exceptions to skip distupgrades of many buggy ancient packages.
      (Closes: #688250, #696081)
  * scripts/post_setup_dummy_users: Skip regular users when testing dpsyco*.
  * scripts/pre_distupgrade_exceptions:
    - Disable APT::Immediate-Configure on some squeeze->wheezy upgrade paths.
    - Add exceptions for old buggy packages.
  * scripts/post_{setup,distupgrade}_zz_backports: Avoid downgrading
    systemd/udev from jessie-backports to jessie during removal phase.
    (Closes: #856845)
  * scripts/post_distupgrade_exceptions: Add stretch->buster workarounds:
    - Remove empty unowned /etc/dbus-1/, /etc/dbus-1/system.d/.
    - Change permissions from 0755 to 0700 on /var/lib/polkit-1.
  * scripts-broken-symlinks/post_install_extras_unbreak_symlinks: New script
    for "fixing" some broken symlinks (e.g. by installing selected suggested
    packages) in tests using --fail-on-broken-symlinks.
  * scripts-debug-triggers/: New scripts for enabling dpkg trigger debugging.
  * conf/crontab-*: Set PATH and run scripts without absolute path.
  * master-bin/detect_archive_issues:
    - Look at failed logs older than 24 hours (48 hours previously).
    - Mark logfiles for immediate recycling upon first appearance.
    - Run twice per day, moving new logs to untestable within 24-36 hours.
  * master-bin/detect_network_issues:
    - Report the issues found in each logfile.
    - Detect alternate wording of gpg verification error.
    - Detect master and slave disagreement on the "current" version of a
      package due to using different mirrors and ongoing mirror push.
  * master-bin/detect_piuparts_issues:
    - Report the issues found in each logfile.
    - Recognize more problems caused by a full filesystem.
    - Recognize more failures when connecting to databases.
  * master-bin/detect_well_known_errors: Ignore known_problems conffiles
    listed in 'exclude-known-problems' in piuparts.conf.
  * Add known_problems/trigger_cycle_error.conf to report trigger cycles and
    other trigger problems.
  * Add bug templates for failing to upgrade from stretch to buster.
  * Update bug templates for long grown upgrades ending in buster.

  [ Holger Levsen ]
  * update TODO. Work on buster has begun. \o/
  * generate_daily_report.in: only add runtime to external script output if
    not already included.
  * master-bin/report_untestable_packages.in:

