## piuparts 0.83~bpo9+1

=== debian/changelog ===
piuparts (0.83~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Holger Levsen <holger@debian.org>  Wed, 20 Dec 2017 10:42:08 +0000

piuparts (0.83) unstable; urgency=medium

  [ Andreas Beckmann ]
  * distros.conf:
    - Add experimental-debug.
  * piuparts.conf.anbe: Add some more example sections.
  * piupartslib/packagesdb.py:
    - Add new package data accessors name(), version(), test_versions().
    - Use test_versions() in all places referring to a piuparts test.
    - Set test_versions while loading versions from the final target distro.
    - Use the actual package versions for resolving the "outdated" state.
  * piuparts-analyze.py:
    - Merge report_newly_bugged_packages and process all sections.
  * piuparts-report.py, detect_well_known_errors.py, piuparts-analyze.py:
    - Use global locks to allow only one running instance of each script.
    - Acquire section locks to prevent concurrent processing of a section,
      including piuparts-master access.
    - Postpone busy sections and retry them later.
    - Run as three separate cronjobs.
  * conf/crontab-master:
    - Run detect_well_known_errors every three hours to avoid accumulating a
      large backlog of new logfiles.
    - Run piuparts-analyze twice per day.
    - Try piuparts-report every three hours s.t. we start 2-3 runs per day
      even with running times above 8-12 hours.
    - Run detect_{piuparts,network}_issues a short time before trying
      piuparts-report to exclude (most of) these logfiles from the report.
  * master-bin/report_newly_bugged_packages: Remove, merged into
    piuparts-analyze.
  * scripts/pre_distupgrade_zz_database-server: wheezy->jessie: Restart
    postgresql before upgrading the cluster, working around #882409.
  * Update policy references, the permalinks changed with the new toolchain.
  * Add bug template for failing to reinstall a package.
  * Adjust known_problems patterns for dpkg 1.19 message changes.

  [ Holger Levsen ]
  * dwke.py/-analyze.py/-report.py: quietly exit if another process is still
    running.
  * master-bin/detect_well_known_errors.py: compress output.
  * Bump standards version to 4.1.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Dec 2017 11:12:13 +0000

piuparts (0.82) unstable; urgency=medium

  * Move xmlto from Build-Depends-Indep to Build-Depends.

 -- Holger Levsen <holger@debian.org>  Sat, 07 Oct 2017 17:30:19 +0200

piuparts (0.81) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add to ignored_files:
      + /var/log/tallylog  (Closes: #877592)
    - Run post_chroot_unpack scripts before initial apt-get update.
  * piuparts-analyze.py:
    - Add PiupartsBTS, a caching wrapper around debianbts.
  * General python code and style cleanup.
    Consistently use 'with open(...) as ...:' for scoped open files.
  * scripts/{pre,post}_test_exceptions: Add exception to prevent testing
    corekeeper from changing the core file settings in the running kernel.
  * scripts/pre_distupgrade_zz_database-server: sid/buster has postgresql 10.
  * Separate scripts-lenny/ from scripts-squeeze/.
  * scripts-squeeze/post_{setup,distupgrade}_squeeze-fake-essential:
    - Treat install-info as fake-essential for all tests ending in squeeze.
  * scripts-broken-symlinks/post_install_extras_unbreak_symlinks: Unbreak more
    symlinks.  (Closes: #857151)
  * master-bin/detect_piuparts_issues: Detect another way of 'apt-cache show'
    failing.  (Closes: #877417)
  * master-bin/distill_alternatives_log: Parse piuparts.conf to find the
    sections that use scripts-log-alternatives.
  * master-bin/generate_daily_report: Most parts are now separate cronjobs.
  * Add bug template for stable -> sid file overwrite errors.
  * Use copyright notices without FSF street address.

  [ Simon McVittie ]
  * Consider the /usr merge to be acceptable variation. Files that the
    dpkg database considers to be in /bin, /sbin, /lib/**, /lib*/**
    are now allowed to be physically in /usr/bin, etc. due to symlinks in
    the root directory, as created by usrmerge or debootstrap --merged-usr.
    (Closes: #860433)

  [ Holger Levsen ]
  * Fix syntax errors in git snapshot running on piuparts.debian.org, thanks
    to Boud Roukema and Philipp Huebner for the reports.
    (Closes: #875605, #875664)
  * Drop code to support using autopkgtest as a test backend. This code was
    merged in 2008 from Ubuntu, but it's unclear (and unlikely) that it still
    works. Also it never has really been supported. (See #815084)
  * Bump standards version to 4.1.1, no changes needed.
  * Update TODO.

  [ Michael Stapelberg ]
  * piuparts-distill: correctly handle errors.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Oct 2017 15:56:25 +0200

piuparts (0.80) unstable; urgency=medium

  [ Michael Stapelberg ]
  * debiman-piuparts-distill:
    - increase maximum token size.
    - bugfix: wait until all results are collected.
    - don’t print all results.
  * distill_alternatives_log: also process buster.

  [ Holger Levsen ]
  * Move asciidoc to from Build-Depends-Indep to Build-Depends. (Newly needed
    because d697f2991 changed piuparts-master to an arch:any package.) Thanks
    to Adrian Bunk. (Closes: #873825)

 -- Holger Levsen <holger@debian.org>  Thu, 31 Aug 2017 17:38:11 +0200

piuparts (0.79) unstable; urgency=medium

  [ Holger Levsen ]
  * slave-run: properly delete all screenlogs from previous runs.
  * Bump standards version to 4.1.0, change priority from extra to optional.
  * Depend on debhelper >= 10.2.5~ and bump debian/compat to 10.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Do not ignore errors while purging packages.
    - Add post_test_* custom scripts. These are run exactly once at the end
      of each test (before comparing with the reference chroot state).
    - is_testable_* custom scripts can use return value '2' to make a test
      fail without actually installing the package. Use for (unfixable)

