=== debian/control ===
Source: piuparts
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Uploaders:
 Holger Levsen <holger@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.2
Build-Depends:
 asciidoc,
 debhelper (>= 10.2.5~),
 dh-python,
 python (>= 2.7),
 python-debian,
 python-apt,
 python-distro-info,
 python-nose,
 python-debianbts,
 python-yaml,
 python-mox3,
 python-lzma,
 golang-any,
 xmlto,
Build-Depends-Indep:
 git,
Homepage: https://piuparts.debian.org
Vcs-Git: https://anonscm.debian.org/git/piuparts/piuparts.git
Vcs-Browser: https://anonscm.debian.org/git/piuparts/piuparts.git
X-Python-Version: >= 2.7

Package: piuparts
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.7.2~),
Depends:
 piuparts-common (= ${binary:Version}),
 debootstrap (>= 1.0.89~),
 debsums (>= 2.2.2~),
 lsb-release,
 lsof,
 mount,
 python-debian,
 ${python:Depends},
 ${misc:Depends},
Recommends:
 adequate
Suggests:
 schroot
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 .
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

Package: piuparts-master
Architecture: any
Depends:
 piuparts-common (>= ${source:Version}),
 piuparts-common (<< ${source:Version}+),
 adduser,
 openssh-server,
 python-debianbts,
 tango-icon-theme,
 xz-utils,
 python-yaml,
 python (>= 2.7),
 ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 apache2 | httpd,
 ghostscript,
 python-rpy2,
 r-base-dev,
 r-recommended,
 devscripts,
 libsoap-lite-perl,
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: piuparts master components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts-master, which needs one or more slaves to
 operate. It also contains piuparts-report to generate web pages with the
 testing results as well as documentation.

Package: piuparts-slave
Architecture: all
Depends:
 piuparts (= ${binary:Version}),
 piuparts-common (= ${binary:Version}),
 adduser,
 openssh-client,
 screen,
 sudo,
 python (>= 2.7),
 ${python:Depends},
 ${misc:Depends},
Suggests:
 schroot
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: piuparts slave components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts slave components, which need a piuparts
 master to operate. See the documentation in the piuparts-master package.

Package: piuparts-common
Architecture: all
Depends:
 python-apt,
 python-distro-info,
 python-lzma,
 ${python:Depends},
 ${misc:Depends},
Breaks:
 piuparts (<= 0.44)
Replaces:
 piuparts (<= 0.44)
Description: common piuparts components
 piupartslib, common library used by piuparts-master, -report, -analyze and
 -slave.
 .
 See https://piuparts.debian.org or the piuparts package to learn more about
 piuparts.
