=== debian/changelog ===
piuparts (0.84) unstable; urgency=medium

  * debian/control:
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've also confirmed that the build output is bit by bit identical with
      and without this.)
    - Bump standards version to 4.1.3, no changes needed.
  * piuparts-report.py: credit Andreas properly.
  * Bump debian/compat to 11 and build-depend on debhelper >= 11~.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Feb 2018 12:34:20 +0000
