=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
- debhelper (>= 10.2.5~),
+ debhelper (>= 11~),
  dh-python,
  python (>= 2.7),
  python-debian,
