## piuparts 0.90

=== debian/changelog ===
piuparts (0.90) unstable; urgency=medium

  [ Michael Stapelberg ]
  * debiman-piuparts-distill: also consider --install, fixes
    https://github.com/Debian/debiman/issues/106

  [ Holger Levsen ]
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Aug 2018 13:37:03 +0200

piuparts (0.89) unstable; urgency=medium

  * scripts/pre_install_exceptions: force cleanup of sympa's spool
    directories. (Closes: #673972)
  * d/control:
    - move Built-Using: to piuparts-master binary package.
    - add Xs-Go-Import-Path: header.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Jun 2018 14:44:37 +0000

piuparts (0.88) unstable; urgency=medium

  * Recycle failed packages in sid after 2 days and force rescheduling them
    2 days later.
  * d/control:
    - shorten Vcs: headers.
    - drop versioned Pre-Depends on dpkg which is even satisfied in
      oldoldstable.
    - drop Breaks and Replaces on versions of piuparts which are older than
      oldoldstable.
    - add "Built-Using: ${misc:Built-Using}" which is needed because we ship
      golang binaries, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jun 2018 13:17:44 +0000

piuparts (0.87) unstable; urgency=medium

  [ Philipp Hahn ]
  * piuparts.py: use `apt-cache show --no-all-versions` to prevent generating
    a "piuparts-depends-dummy" package with multiple dependencies on the same
    package with different versions. (Closes: #898606)

  [ Holger Levsen ]
  * Update all occurrences of piuparts-devel@lists.alioth.debian.org with
    piuparts-devel@alioth-lists.debian.net.
  * Drop X-Python-Version header from debian/control.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jun 2018 11:36:36 +0000

piuparts (0.86) unstable; urgency=medium

  * debian/control: switch packaging to salsa.debian.org. Thanks to the alioth
    admins for providing such a nice service so long!
  * Update several occurrences of anonscm.debian.org and git.debian.org with
    salsa.debian.org URLs.
  * index.tpl: add news entry about the salsa migration.
  * debian/copyright: update years of my contributions.

 -- Holger Levsen <holger@debian.org>  Sat, 28 Apr 2018 14:57:34 -0300

piuparts (0.85) unstable; urgency=medium

  [ Agustin Henze ]
  * piuparts.py:
    - Add docker support, new param is introduced `--docker-image`.
      (Closes: #893731)
    - Deprecate --keep-tmpdir in favor of --keep-env (Closes: #894232)
    - Create ${ENV}/dev/ptmx path if it doesn't exist (Closes: #895380)
    - Create ${ENV}/dev/null if it doesn't exist ASAP (Closes: #895379)
  * Add `docker.io` as suggested package.
  * Reworded documentation for `--keep-env` and `--schroot` parameters.

  [ Holger Levsen ]
  * dwke.py: change logging to make relevant information more visible.
  * detect_*_issues.in: improve output.
  * report_untestable_packages.in: improve output.
  * piuparts.1.txt: improve wording for docker related changes and add
    explaination about the limitations of docker support.
  * Bump standards version to 4.1.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 14 Apr 2018 17:39:13 -0300
