=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: piuparts
-Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
+Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
 Uploaders:
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Rules-Requires-Root: no
 Build-Depends:
  asciidoc,
@@ -24,14 +24,12 @@
 Build-Depends-Indep:
  git,
 Homepage: https://piuparts.debian.org
-Vcs-Git: https://anonscm.debian.org/git/piuparts/piuparts.git
-Vcs-Browser: https://anonscm.debian.org/git/piuparts/piuparts.git
-X-Python-Version: >= 2.7
+Vcs-Git: https://salsa.debian.org/debian/piuparts
+Vcs-Browser: https://salsa.debian.org/debian/piuparts
+Xs-Go-Import-Path: salsa.debian.org/debian/piuparts
 
 Package: piuparts
 Architecture: all
-Pre-Depends:
- dpkg (>= 1.15.7.2~),
 Depends:
  piuparts-common (= ${binary:Version}),
  debootstrap (>= 1.0.89~),
@@ -45,7 +43,8 @@
 Recommends:
  adequate
 Suggests:
- schroot
+ schroot,
+ docker.io,
 Description: .deb package installation, upgrading, and removal testing tool
  piuparts tests that .deb packages (as used by Debian) handle
  installation, upgrading, and removal correctly. It does this by
@@ -59,6 +58,7 @@
 
 Package: piuparts-master
 Architecture: any
+Built-Using: ${misc:Built-Using}
 Depends:
  piuparts-common (>= ${source:Version}),
  piuparts-common (<< ${source:Version}+),
@@ -80,10 +80,6 @@
  r-recommended,
  devscripts,
  libsoap-lite-perl,
-Breaks:
- piuparts (<= 0.44)
-Replaces:
- piuparts (<= 0.44)
 Description: piuparts master components
  piuparts is meant as a quality assurance tool for people who create .deb
  packages to test them before they upload them to the Debian package archive.
@@ -108,10 +104,6 @@
  ${misc:Depends},
 Suggests:
  schroot
-Breaks:
- piuparts (<= 0.44)
-Replaces:
- piuparts (<= 0.44)
 Description: piuparts slave components
  piuparts is meant as a quality assurance tool for people who create .deb
  packages to test them before they upload them to the Debian package archive.
@@ -129,10 +121,6 @@
  python-lzma,
  ${python:Depends},
  ${misc:Depends},
-Breaks:
- piuparts (<= 0.44)
-Replaces:
- piuparts (<= 0.44)
 Description: common piuparts components
  piupartslib, common library used by piuparts-master, -report, -analyze and
  -slave.
