## piuparts 0.98

=== debian/changelog ===
piuparts (0.98) unstable; urgency=medium

  [ Holger Levsen ]
  * piuparts-reports.py: add link to states graph for each suite.
  * instances/piuparts.conf-template.pejacevic: increase sid-nodoc's
    precedence.
  * Refactor reschedule_piuparts_tests to use new global configuration
    variable 'testing-suite'.
  * generate_daily_report: show failures in sid, $TESTING and testing2sid
    at the top of the report.
  * master-bin/prepare_backup: ignore empty submissions.txt for $TESTING-pu
    and $TESTING-security.
  * Update TODO for bullseye.

  [ Andreas Beckmann ]
  * piuparts.py:
    - If packages were downgraded to restore the reference chroot state
      reinstall the downgraded-to version again to recover potentially lost
      files in case of bad interactions of Breaks/Replaces with downgrading.
  * distros.conf: Add support for buster partial distros.
  * piuparts.conf:
    - Use --warn-on-others for [sid-strict] only.
    - Add sections [buster-security], [buster-pu] and [buster2proposed].
    - Add sections [stretch2Xbuster] and [stretch2Xbuster-rcmd].
    - Add section [sid-broken-symlinks], failing on broken symlinks
  * piuparts-slave.py:
    - Catch IOError while creating tarballs, will be retried later.
  * scripts/is_testable_uninstallable:
    - Refactor handling of known uninstallable packages.
  * scripts-multi-distro-upgrade/: New custom scripts for distupgrade tests
    spanning a series of distros.
  * Add metapackages piuparts-{master,slave}-from-git-deps to ease running
    piuparts-master and piuparts-slave instances from git.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Mar 2019 11:27:47 +0100

piuparts (0.97) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Ignore broken /var/lib/mender symlink.  (Closes: #915680)
  * scripts/pre_distupgrade_zz_database-server: Also act on dist-upgrades
    within a release, e.g. stable -> stable-proposed-updates.
  * piuparts-slave.py:
    - Support prepending a setarch command to the piuparts invocation.
  * piuparts-report.py:
    - Report [cruft] in logfile lists.

  [ David Steele ]
  * instances/piuparts.conf-template.pejacevic:
    - report results of stable2sid to DDPO.
    - swap stable2sid and stable22sid priorities, to promote the one reported
      to DDPO.

  [ Holger Levsen ]
  * slave_bin: on stop, show what's keeping the slaves busy, to identify
    packages with a very long installation time.
  * Makefile: include @sbindir@ in placeholder_substitution.
  * instances/piuparts.conf-template.pejacevic: lower priorities of oldstable
    suites.

  [ Herbert Fortes ]
  * piuparts.py, piuparts-slave.py, piupartslib/pkgsummary.py and
    piuparts-analyze.py: add '()' to print. Py2 and Py3 compatible.
  * piupartslib/dwke.py:
       - class Problem:
           - Class attr instead of instance attr
             Save some memory
       - get_file_dict function:
           - dictionary comprehension. "More readable and
             often faster at the same time".
       - create_problem_list function:
            - list.sort() instead of sorted(list).
              sorted() returns a *new* sorted list. This is
              not necessary here.
              list.sort() sorts the list in place.
              Save some memory
       - make_kprs function: do not concat str, simplify 'if' statement.

 -- Holger Levsen <holger@debian.org>  Mon, 11 Feb 2019 12:30:10 +0100

piuparts (0.96) unstable; urgency=medium

  [ Andreas Beckmann ]
  * bug-templates: Raise severity of "fails to purge" errors to serious.
   (see #918379)
  * distros.conf: Add jessie-lts as a full distro.
  * piuparts.conf:
    - Use jessie-lts as upgrade target and rename section
      [jessie2proposed] => [jessie2lts]
    - Add sections [wheezy2jessie-lts] and [jessie-lts2stretch].
    - [wheezy2bpo2jessie]: Use jessie-lts as final upgrade target.
    - Disable sections [wheezy-pu], [jessie-pu]: not used for lts releases.
  * scripts/post_distupgrade_exceptions:
    - Handle /etc/ca-certificates.conf stretch -> buster upgrade by
      normalizing the file to match fresh installations.  (Closes: #889852)
  * scripts-broken-symlinks: Unbreak more symlinks.

  [ Holger Levsen ]
  * htdocs/index.tpl: stop referring people to the #debian-qa IRC channel, we
    really prefer mail nowadays.
  * instances/piuparts.conf-template.pejacevic:
    - include sid-strict into json outputs.
    - improve sid-strict description. Closes: #918379
  * master-bin/detect_piuparts_issues: ignore files which vanish during run.
  * Bump standards version to 4.3.0, no changes needed.
  * d/copyright: update years.

 -- Holger Levsen <holger@debian.org>  Sun, 13 Jan 2019 16:56:06 +0100

piuparts (0.95) unstable; urgency=medium

  [ Holger Levsen ]
  * piuparts.py: add /var/lib/debian-security-support/ to self.ignored_files.
    (Closes: #749317)
  * Reduce number of mails per day, from 34 down to 1. (Closes: #912591)
    - lib/write_log.sh: new helper to publish logs in htdocs/logs.
    - master-bin/master_shell_runner: new script to run python scripts to
      redirect logs to htdocs/logs.
    - master-bin/generate_daily_report:
      - redirect logs of called scripts to htdocs/logs.
      - include listing of htdocs/logs/$TODAY into daily report.
      - publish dailyreport.txt in htdocs/logs/$TODAY instead of htdocs/.
    - master-bin/detect_archive_issues, detect_piuparts_issues,
      detect_network_issues, reschedule_oldest_logs, rotate_master_logs,
      report_untestable_packages and report_stale_reserved_packages: redirect
      logs to htdocs/logs.
    - conf/crontab-master.in: run detect_well_known_errors, piuparts-report
      and piuparts-analyze through the new master_shell_runner script.
    - master-bin/rotate_master_logs: compress htdocs/logs older than a week.
    - piuparts-report.py: add navigation link to https://piuparts.d.o/logs/
    - htdocs/news.tpl: explain the result of these changes.
  * d/control: use canonical URL for Vcs-Git, thanks lintian.

