## piuparts 1.0.0~bpo9+1

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,9 @@
 define placeholder_substitution
 	sed -r \
 	-e 's/__PIUPARTS_VERSION__/$(version)/g' \
+	-e 's%@libdir@%$(libdir)%g' \
 	-e 's%@sharedir@%$(sharedir)%g' \
-	-e 's%@libdir@%$(libdir)%g' \
+	-e 's%@sbindir@%$(sbindir)%g' \
 	$< > $@
 endef
