=== debian/changelog ===
piuparts (1.0.0~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Holger Levsen <holger@debian.org>  Mon, 08 Jul 2019 15:59:18 +0200

piuparts (1.0.0) unstable; urgency=medium

  [ David Steele ]
  * piuparts-reports.py:
    Revert "Don't add results from outdated binaries to summary.json" from
    0.94. The reverted commit is 62a6b3c438f42480ce3a08996ed4994de1561591.
    The patch was added to avoid incorporating summary.json reporting results
    for binary packages which are no longer part of the source package. It
    stopped Piuparts from blocking the source package from testing migration.
    It has a bug related to "upgrade test" sections, which cause a large
    number of packages to incorrectly be reported in the "waiting" state.

  [ Andreas Beckmann ]
  * piuparts.py:
    - Add '--merged-usr' support when using debootstrap to create the chroot.
    - Add '--distupgrade-to-testdebs-from DIR' as a shorthand for
      '--bindmount DIR --testdebs-repo DIR --distupgrade-to-testdebs'.
  * distros.conf:
    - wheezy* has been archived/removed.
    - jessie* has been partially archived/removed.
    - Add buster-backports.
    - Add bullseye-proposed-updates.
  * piuparts.conf:
    - Add section [sid-merged-usr], using --merged-usr.  (Closes: #848968)
    - Use --warn-on-debsums-errors for tests ending in buster.
    - Rename [stretch2proposed] to [stretch2next]
      and [buster2proposed] to [buster2next].
  * piupartslib/packagesdb.py:
    - Keep recycled pass logs while waiting for new test results, continuing
      to show them as "successfully-tested" instead of "waiting-to-be-tested".
    - Add (hardcoded) list of missing dependencies that resolve to
      "ignore-does-not-exist".
      Used for packages to be skipped via "is_installable_*" scripts to
      exclude them from "dependency-does-not-exist" state.
  * piuparts-slave.py:
    - New option "slave-flush-interval" to flush logs more frequently to the
      master. Set to 30 minutes.
    - New option "chroot-meta-directory" to share reference target chroot
      metadata between slave instances.
  * piuparts-report.py:
    - Omit states with 0 packages from section summaries.
  * scripts/{post_chroot_unpack,pre_distupgrade}_allow_unauthenticated:
    - Disable Check-Valid-Until for wheezy/updates and jessie-backports.
  * scripts/post_distupgrade_exceptions:
    - Handle /var/lib/pam/seen stretch -> buster upgrade by running
      pam-auth-update if needed. Workaround for #920760.
  * scripts/pre_remove_40_find_unowned_lib_links:
    - Handle --merged-usr environments.
  * master-bin/reschedule_piuparts_tests: Do not act on 'bugged/*.log' and
    'affected/*.log' by default. Add --bugged, --affected flags.

  [ Holger Levsen ]
  * Declare this release to be version 1.0.0, finally. May the force be with
    you.
  * htdocs/news.tpl:
    - add news about sid-merged-usr being tested.
    - add news about the 1.0.0 release.
  * piuparts_slave_join.8.txt: update revdate to date of last change.

 -- Holger Levsen <holger@debian.org>  Sat, 04 May 2019 21:37:32 +0200
