=== debian/changelog ===
piuparts (1.0.0+deb10u1) buster; urgency=medium

  * Happy 26th birthday, Debian! And many thanks to all the contributors!
 
  [ Andreas Beckmann ]
  * piuparts.py:
    - Add '--max-command-output-size' option to allow overriding the default
      of 8 MB for debugging runs.
    - Run pre_remove scripts before computing packages to be removed.
    - Fix spurious failure to remove packages with names ending with '+'.
  * piuparts-slave.py:
    - Generate separate tarball names for --merged-usr chroots.
  * detect_well_known_errors.py:
    - process untestable logs.
  * Makefile: use gzip -n for reproducibility.
  * piuparts.conf, distros.conf: Update for buster release.
  * custom-scripts: some updates for buster. If custom-scripts are used, it's
    probably better to use piuparts from bpo.

  [ Holger Levsen ]
  * Cherry-picking the above.

 -- Holger Levsen <holger@debian.org>  Fri, 16 Aug 2019 15:21:58 +0200
